# GESAudioTestSource

Outputs a test audio stream using audiotestsrc. The default property values output silence. Useful for testing pipelines, or to fill gaps in an audio track.

## GESAudioTestSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESSource
                        ╰──GESAudioSource
                            ╰──GESAudioTestSource

### Children Properties

#### `freq`

Frequency of test signal. The sample rate needs to be at least 2 times higher.

Value type: gdouble

See freq

#### `mute`

mute channel

Value type: gboolean

See mute

#### `volume`

volume factor, 1.0=100%

Value type: gdouble

See volume

#### `volume`

Volume of test signal

Value type: gdouble

See volume

### Members

`parent` (GESAudioSource) –
No description available

### Class structure

#### GESAudioTestSourceClass

### GES.AudioTestSourceClass

## GES.AudioTestSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.AudioSource
                            ╰──GES.AudioTestSource

### Children Properties

#### `freq`

Frequency of test signal. The sample rate needs to be at least 2 times higher.

Value type: Number

See freq (not introspectable)

#### `mute`

mute channel

Value type: Number

See mute (not introspectable)

#### `volume`

volume factor, 1.0=100%

Value type: Number

See volume (not introspectable)

#### `volume`

Volume of test signal

Value type: Number

See volume (not introspectable)

### Members

`parent` (GES.AudioSource) –
No description available

## GES.AudioTestSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.AudioSource
                            ╰──GES.AudioTestSource

### Children Properties

#### `freq`

Frequency of test signal. The sample rate needs to be at least 2 times higher.

Value type: float

See freq (not introspectable)

#### `mute`

mute channel

Value type: bool

See mute (not introspectable)

#### `volume`

volume factor, 1.0=100%

Value type: float

See volume (not introspectable)

#### `volume`

Volume of test signal

Value type: float

See volume (not introspectable)

### Members

`parent` (GES.AudioSource) –
No description available

### Methods

#### ges_audio_test_source_get_freq

    double
    ges_audio_test_source_get_freq (GESAudioTestSource * self)

Get the current frequency of self.

Parameters:

`self` –

a GESAudioTestSource

Returns –

The current frequency of self.

#### GES.AudioTestSource.prototype.get_freq

    function GES.AudioTestSource.prototype.get_freq(): {
        // javascript wrapper for 'ges_audio_test_source_get_freq'
    }

Get the current frequency of self.

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

Returns (Number) –

The current frequency of self.

#### GES.AudioTestSource.get_freq

    def GES.AudioTestSource.get_freq (self):
        #python wrapper for 'ges_audio_test_source_get_freq'

Get the current frequency of self.

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

Returns (float) –

The current frequency of self.

#### ges_audio_test_source_get_volume

    double
    ges_audio_test_source_get_volume (GESAudioTestSource * self)

Get the current volume of self.

Parameters:

`self` –

a GESAudioTestSource

Returns –

The current volume of self

#### GES.AudioTestSource.prototype.get_volume

    function GES.AudioTestSource.prototype.get_volume(): {
        // javascript wrapper for 'ges_audio_test_source_get_volume'
    }

Get the current volume of self.

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

Returns (Number) –

The current volume of self

#### GES.AudioTestSource.get_volume

    def GES.AudioTestSource.get_volume (self):
        #python wrapper for 'ges_audio_test_source_get_volume'

Get the current volume of self.

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

Returns (float) –

The current volume of self

#### ges_audio_test_source_set_freq

    ges_audio_test_source_set_freq (GESAudioTestSource * self,
                                    gdouble freq)

Lets you set the frequency applied on the track element

Parameters:

`self` –

a GESAudioTestSource

`freq` –

The frequency you want to apply on self

#### GES.AudioTestSource.prototype.set_freq

    function GES.AudioTestSource.prototype.set_freq(freq: Number): {
        // javascript wrapper for 'ges_audio_test_source_set_freq'
    }

Lets you set the frequency applied on the track element

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

`freq` (Number) –

The frequency you want to apply on self

#### GES.AudioTestSource.set_freq

    def GES.AudioTestSource.set_freq (self, freq):
        #python wrapper for 'ges_audio_test_source_set_freq'

Lets you set the frequency applied on the track element

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

`freq` (float) –

The frequency you want to apply on self

#### ges_audio_test_source_set_volume

    ges_audio_test_source_set_volume (GESAudioTestSource * self,
                                      gdouble volume)

Sets the volume of the test audio signal.

Parameters:

`self` –

a GESAudioTestSource

`volume` –

The volume you want to apply on self

#### GES.AudioTestSource.prototype.set_volume

    function GES.AudioTestSource.prototype.set_volume(volume: Number): {
        // javascript wrapper for 'ges_audio_test_source_set_volume'
    }

Sets the volume of the test audio signal.

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

`volume` (Number) –

The volume you want to apply on self

#### GES.AudioTestSource.set_volume

    def GES.AudioTestSource.set_volume (self, volume):
        #python wrapper for 'ges_audio_test_source_set_volume'

Sets the volume of the test audio signal.

Parameters:

`self` (GES.AudioTestSource) –

a GES.AudioTestSource

`volume` (float) –

The volume you want to apply on self

## Constants

### GES_TYPE_AUDIO_TEST_SOURCE

    #define GES_TYPE_AUDIO_TEST_SOURCE ges_audio_test_source_get_type()

The results of the search are